#!/bin/bash
source globalvar.sh
sitn=$1
tag=$2
hour=$3
minute=$4
sitn1=$5
obsdir2=$6
yy=$7

sitn_upper=$(echo $sitn | tr '[a-z]' '[A-Z]')
sitn_upper1=$(echo $sitn1 | tr '[a-z]' '[A-Z]')

sitn_low=$(echo $sitn | tr '[A-Z]' '[a-z]')
sitn_low1=$(echo $sitn1 | tr '[A-Z]' '[a-z]')

staname=${sitn_upper:0:4}
endname=${sitn_low:4:6}
rawname="${staname}${endname}"

staname1=${sitn_upper1:0:4}
endname1=${sitn_low1:4:7}
obsname="${staname1}${endname1}"

cd
cd ${obsdir2}
#${bindir}/kpl-rinex-fast-linux-amd64.latest -rtcmfile=${rawname}.${yy}b -obsfile=${obsname}.${yy}o -interval=1 -ver=3.x -starttime=${tag} ${hour}:${minute}:00 
${bindir}/kpl-2rnx -srctype=rtcm -srcfile=${rawname}.${yy}b -dstfile=${obsname}.${yy}o -interval=1 -starttime=${tag}
if [ ! -f ${obsname}.${yy}o ];then
    ${bindir}/kpl-2rnx -srctype=hemi -srcfile=${rawname}.${yy}b -dstfile=${obsname}.${yy}o -interval=1 -starttime=${tag}
fi
cd
cd ${bindir}
